SIS900_SET_MODE(9)

NAME
sis900_set_mode - Set the media mode of mac register.

SYNOPSIS

void sis900_set_mode (long ioaddr, int speed, int duplex);

ARGUMENTS

ioaddr
    the address of the device

speed
    the transmit speed to be determined

duplex
    the duplex mode to be determined

DESCRIPTION

Set the media mode of mac register txcfg/rxcfg according to speed and duplex of phy. Bit EDB_MASTER_EN indicates the EDB bus is used instead of PCI bus. When this bit is set 1, the Max DMA Burst Size for TX/RX DMA should be no larger than 16 double words.

AUTHORS
Ollie Lho, Lei Chun Chang.